Get a project by ID

Get a project with the given ID.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Response

Successful Response
idstringformat: "uuid"
A unique ID assigned to this project.
created_atdatetime
Project created at
updated_atdatetime
Last time project was updated at
entity_idstringformat: "uuid"
The ID of the entity to which the project was issued.
namestring1-255 characters
The project name.
codestringformat: "^[a-zA-Z0-9]+$"1-20 characters
Project code
colorstring<=128 characters
Project color
created_by_entity_user_idstringformat: "uuid"
Project created by entity user
descriptionstring<=1024 characters
Description of project
end_datestringformat: "date"
Project end date
parent_idstringformat: "uuid"
Parent project ID
partner_metadatamap from strings to any
Project metadata
start_datestringformat: "date"
Project start date
tagslist of objects

A list of user-defined tags (labels) assigned to this project.

Errors

400
Get Projects ID Request Bad Request Error
401
Get Projects ID Request Unauthorized Error
403
Get Projects ID Request Forbidden Error
404
Get Projects ID Request Not Found Error
422
Get Projects ID Request Unprocessable Entity Error
500
Get Projects ID Request Internal Server Error